import {get, post } from './requests.js';

export async function isAlive() {
  const { VITE_API_BASE } =
  import.meta.env;
  const response = await get(`${VITE_API_BASE}/admin/user/alive`);
  return response;
}

export async function authenticate(username, password) {
  const { VITE_API_BASE, VITE_API_PATH_AUTHENTICATION } =
  import.meta.env;
  const response = await post(`${VITE_API_BASE}${VITE_API_PATH_AUTHENTICATION}`, { username, password });
  return response;
}

export async function logout() {
  const { VITE_API_BASE } =
  import.meta.env;
  const response = await get(`${VITE_API_BASE}/admin/user/logout`);
  return response;
}